Permalink
Browse files

Rails didn't work with ruby 1.9 until 2.3, so there's no point in tes…

…ting pre-2.3 versions against ruby 1.9.
  • Loading branch information...
myronmarston committed Mar 15, 2010
1 parent 205ebd9 commit df3289779194313ec00a04a0ca5c935601e7b42e
Showing with 16 additions and 11 deletions.
  1. +16 −11 ginger_scenarios.rb
View
@@ -13,18 +13,23 @@ def create_scenario(version)
config.aliases["action_pack"] = "actionpack"
config.aliases["active_support"] = "activesupport"
- %w(
- 2.3.5 2.3.4 2.3.3 2.3.2
- 2.2.3 2.2.2
- 2.1.2 2.1.1 2.1.0
- 2.0.5 2.0.4 2.0.2 2.0.1 2.0.0
- ).each do |version|
+ %w( 2.3.5 2.3.4 2.3.3 2.3.2 ).each do |version|
config.scenarios << create_scenario(version)
end
- rails126 = Ginger::Scenario.new("Rails 1.2.6")
- rails126[/^action_?mailer$/] = '1.3.6'
- rails126[/^action_?pack$/] = '1.13.6'
- rails126[/^active_?support$/] = '1.4.4'
- config.scenarios << rails126
+ if RUBY_VERSION =~ /^1\.8/
+ %w(
+ 2.2.3 2.2.2
+ 2.1.2 2.1.1 2.1.0
+ 2.0.5 2.0.4 2.0.2 2.0.1 2.0.0
+ ).each do |version|
+ config.scenarios << create_scenario(version)
+ end
+
+ rails126 = Ginger::Scenario.new("Rails 1.2.6")
+ rails126[/^action_?mailer$/] = '1.3.6'
+ rails126[/^action_?pack$/] = '1.13.6'
+ rails126[/^active_?support$/] = '1.4.4'
+ config.scenarios << rails126
+ end
end

0 comments on commit df32897

Please sign in to comment.